# Server

The repository contains a `server` directory with a simple MongoDB server (with initializations scripts) and WebUI that serves the WebRTC stats collected by the collector.

It's not mandatory to run and use this service, it's provided just as an example of how to store collected data.

## Setup

1. Change to the `server` directory:
    ```sh
    cd server
    ```

2. Create and configure the environment file based on the `.env.example` file:
    ```sh
    cp .env.example .env
    ```

3. Start the Docker containers:
    ```sh
    docker compose up
    ```

The WebUI control panel will be available at [http://localhost:8081](http://localhost:8081).

# Credits

- [WebRTC Internals Exporter](https://github.com/vpalmisano/webrtc-internals-exporter)
  - [WebRTC debugging with Prometheus/Grafana](https://medium.com/@vpalmisano/webrtc-debugging-with-prometheus-grafana-254b6ac71063)
- [MongoDB Docker Compose examples](https://github.com/TGITS/docker-compose-examples/tree/main/mongodb-docker-compose-examples)